Address Attributes

Address Attributes

Retrieve attributes (thumbprints, resolved IPs) for specified server addresses and ports (if applicable). If query parameter 'type' is 'SSH_THUMBPRINT' and the port for a given ServerAddress is not specified, it will default to 22.

Request
URI
POST
https://vcf.broadcom.com/fleet-lcm/v1/address-attributes
COPY
Query Parameters
string
type
Required

Type of attribute to retrieve.

Possible values are : SSH_THUMBPRINT, SSL_THUMBPRINT, CERTIFICATE, IPV4, IPV6,

Request Body
[
    {
        "address": "vm.example.com",
        "port": 123
    }
]
Optional
Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "address": "one.example.com",
        "port": 22,
        "error": {
            "code": "code",
            "detail": "detail",
            "message": {
                "args": {
                    "cloudProxyFqdn": "cloudProxy1.vsphere.local"
                },
                "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
            },
            "resolution": {
                "args": {
                    "cloudProxyFqdn": "cloudProxy1.vsphere.local"
                },
                "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
            },
            "referenceId": "referenceId",
            "timestamp": "2000-01-23T04:56:07.000Z"
        },
        "value": "SHA256:COq4w7HXxg224MFwuc6E1vJQyatJCtHhvr+2SGcEp6E"
    }
]
array of object
Optional

400

Bad request.

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/fleet-lcm/v1/address-attributes